Skip to main content
GET
Get Webhook Config
Retrieve a single webhook configuration by its ID. Returns the webhook URL, event types, status, and other configuration details.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

webhookId
integer
required

The webhook ID.

Response

200 - application/json

A webhook configuration.

network_webhook_id
integer

Unique webhook ID.

Example:

1

network_id
integer

Network ID.

Example:

1

webhook_types
enum<string>[]

Event types that trigger this webhook.

Available options:
advertiser_created,
advertiser_signed_up,
advertiser_updated,
affiliate_approved_for_offer,
affiliate_created,
affiliate_signed_up,
affiliate_signup_verdict,
affiliate_updated,
offer_created,
offer_updated,
traffic_optimized
Example:
http_method
enum<string>

HTTP method used when sending the webhook.

Available options:
get,
post
Example:

"post"

webhook_url
string

The webhook endpoint URL.

Example:

"https://example.com/webhook"

description
string

Optional description for the webhook.

Example:

"My webhook"

status
enum<string>

Webhook status.

Available options:
active,
inactive
Example:

"active"

time_created
integer

Unix timestamp of creation.

Example:

1774726693

time_saved
integer

Unix timestamp of last update.

Example:

1774726693